Re: [R] error on install Rmpi packages

From: Thomas Schönhoff <tom_hoary_at_web.de>
Date: Sat 09 Apr 2005 - 20:15:00 EST

Hello Marcello,

Am Freitag, 8. April 2005 16:27 schrieb Marcelo Luiz de Laia:
> Dear Sir/Madam,
>
> I need to install Rmpi Package on my linux debian like, but I get
> some errors.
>
> I try to instal it using install.packages or after download and
> save it on my local dir and run R CMD INSTALL packagename and,
> both, I get these errors:
>
> checking mpi.h usability... no
> checking mpi.h presence... no
> checking for mpi.h... no
> Try to find mpi.h ...
> Cannot find mpi header file.
> Please use --with-mpi=/path/to/mpi
> ERROR: configuration failed for package 'Rmpi'

Seems to me that your local installation is missing a devel-package(=,Cannot find mpi header file) don't know exactly what package to look for, though!

Why don't you use the wonderful packages of Dirk Edenbüttel ? You can install them smoothly by "apt-get install <package-name>"??

Maybe 'apt-cache search mpi' will be a step forward.....
>
> I search on archivies help but dont get any issues.
>
> I use Rmpi_0.4-9.tar.gz.

or did you read the install instructions of Rmpi, especially the part on dependencies. Mostly there are some information on what packages have to be installed before starting to compile Rmpi package.

regards

Thomas



R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html Received on Sat Apr 09 20:24:26 2005

This archive was generated by hypermail 2.1.8 : Fri 03 Mar 2006 - 03:31:05 EST